CURLOPT_STDERR(3)

NAME
CURLOPT_STDERR - redirect stderr to another stream

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_STDERR, FILE *stream);

DESCRIPTION
Pass a FILE * as parameter. Tell libcurl to use this stream instead of stderr when showing the progress meter and displaying CURLOPT_VERBOSE(3) data.

DEFAULT
stderr

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
FILE *filep = fopen("dump", "wb");
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  curl_easy_setopt(curl, CURLOPT_STDERR, filep);
  curl_easy_perform(curl);
}

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_VERBOSE(3), CURLOPT_NOPROGRESS(3),